%global api		1.0
%define libname		%mklibname %{name}
%define develname	%mklibname -d %{name}
%global __provides_exclude_from ^%{_libdir}/dleyna-%{api}/connectors/.*\\.so$

Name:		dleyna-connector-dbus
Version:	0.3.0
Release:	%mkrel 2
Summary:	D-Bus connector for dLeyna services
Group:		System/Libraries
License:	LGPLv2
URL:		https://01.org/dleyna/
Source0:	https://github.com/intel/dleyna-connector-dbus/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dleyna-core-%{api})
BuildRequires:	pkgconfig(glib-2.0) >= 2.28

%description
D-Bus connector for dLeyna services.


%package -n %{libname}
Summary:	D-Bus connector for dLeyna services
Group:		System/Libraries

%description -n %{libname}
D-Bus connector for dLeyna services.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains a pkgconfig file for
developing applications that use %{name}.


%prep
%setup -q


%build
autoreconf -f -i
%configure \
  --disable-silent-rules \
  --disable-static

%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files -n %{libname}
%dir %{_libdir}/dleyna-%{api}
%dir %{_libdir}/dleyna-%{api}/connectors
%{_libdir}/dleyna-%{api}/connectors/libdleyna-connector-dbus.so

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1523863
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 daviddavid <daviddavid> 0.3.0-1.mga7
+ Revision: 1376625
- new version: 0.3.0

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-3.mga7
+ Revision: 1297459
- Mageia 7 Mass Rebuild

* Sun Feb 14 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 959955
- Mageia 6 Mass Rebuild

* Sun Nov 16 2014 cjw <cjw> 0.2.0-1.mga5
+ Revision: 797592
- set RPM groups
- finalize module package
- move docs to devel package
- imported package dleyna-connector-dbus


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 15 2014 Bastien Nocera <bnocera@redhat.com> 0.2.0-1
- Update to 0.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-3
- Filter out the connector plugin from provides.

* Sun Jul 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-2
- Use %%global instead of %%define.
- Own %%{_libdir}/dleyna-%%{api} and %%{_libdir}/dleyna-%%{api}/connectors.

* Wed Jun 26 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-1
- Initial spec.
